#include "common_gadl.h"

int main()
{
	item_t *i, *a;

	list1 = gadl_list_init(NULL, sizeof(item_t), NULL, NULL);

	init_fill(list1, 4);
	dump_list(list1, "init");

	i = new_item(list1, "woops");
	gadl_insert(list1, i);
	dump_list(list1, "insert");

	i = new_item(list1, "blarp");
	gadl_append(list1, i);
	dump_list(list1, "append");

	a = gadl_nth(list1, 2);
	i = new_item(list1, "before-1");
	gadl_insert_before(a, i);
	i = new_item(list1, "after-1");
	gadl_insert_after(a, i);
	dump_list(list1, "insert-at");

	return 0;
}
