/* swap() "normal" case: non-neighbor, non-edge elements */
#include "common_gadl.h"
int main()
{
	item_t *a, *b;

	list1 = gadl_list_init(NULL, sizeof(item_t), NULL, NULL);
	init_fill(list1, 6);
	dump_list(list1, "init");

	a = gadl_nth(list1, 1);
	b = gadl_nth(list1, 3);
	gadl_swap(a, b);
	dump_list(list1, "swap 1-3");

	a = gadl_nth(list1, 3);
	b = gadl_nth(list1, 1);
	gadl_swap(a, b);
	dump_list(list1, "swap 3-1");

	a = gadl_nth(list1, 2);
	b = gadl_nth(list1, 4);
	gadl_swap(a, b);
	dump_list(list1, "swap 2-4");

	a = gadl_nth(list1, 4);
	b = gadl_nth(list1, 2);
	gadl_swap(a, b);
	dump_list(list1, "swap 4-2");

	return 0;
}
