/* list all elements of a list forward and backward using next_nht and
   prev_nth from first and last, respectively */
#include "common_gdl.h"
int main()
{
	int n;
	item_t *a;
	gdl_iterator_t it;

	init_fill(&list1, 5);
	dump_list1("INIT");

	printf("\nnext nth:\n");
	for(n = 0; n < 6; n++) {
		gdl_next_nth(&list1, list1.first, n, &a);
		printf(" [%d] %s\n", n, elem2str(a));
	}

	printf("\nprev nth:\n");
	for(n = 0; n < 6; n++) {
		gdl_prev_nth(&list1, list1.last, n, &a);
		printf(" [%d] %s\n", n, elem2str(a));
	}

	return 0;
}
