/* list all elements of a list forward and backward using next_nht and
   prev_nth from first and last, respectively */
#include "common_gadl.h"
int main()
{
	int n;
	item_t *a;
	gadl_iterator_t it;

	list1 = gadl_list_init(NULL, sizeof(item_t), NULL, NULL);

	init_fill(list1, 5);
	dump_list(list1, "INIT");

	printf("\nnext nth:\n");
	for(n = 0; n < 6; n++) {
		a = gadl_next_nth(gadl_first(list1), n);
		printf(" [%d] %s\n", n, elem2str(a));
	}

	printf("\nprev nth:\n");
	for(n = 0; n < 6; n++) {
		a = gadl_prev_nth(gadl_last(list1), n);
		printf(" [%d] %s\n", n, elem2str(a));
	}

	return 0;
}
