#include <stdio.h>
#include <string.h>
#include <genlist/gendlist.h>

typedef struct item_s item_t;

struct item_s {
	int id;
	char *payload;
	gdl_elem_t l1;
	gdl_elem_t l2;
};

static item_t *new_item(const char *payload)
{
	static int ids = 1;
	item_t *i;
	i = calloc(sizeof(item_t), 1);
	i->id = ids++;
	i->payload = strdup(payload);
	return i;
}

static const char *ptr2id(item_t *i)
{
	static char buff[32][32];
	static int nextbuff = 0;
	char *b;

	b = buff[(nextbuff++)%32];
	
	if (i == NULL)
		sprintf(b, "#!");
	else
		sprintf(b, "#%d", i->id);
	return b;
}
